gtk.VScrollbar
Prev | The gtk Class Reference | Next

## gtk.VScrollbar

gtk.VScrollbar — a vertical scrollbar

## Synopsis

    class gtk.VScrollbar(gtk.Scrollbar):
        gtk.VScrollbar(adjustment=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Range
            +-- gtk.Scrollbar
              +-- gtk.VScrollbar

## gtk.VScrollbar Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Range Properties

## gtk.VScrollbar Style Properties

gtk.Widget Style Properties

gtk.Range Style Properties

gtk.Scrollbar Style Properties

## gtk.VScrollbar Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Range Signal Prototypes

## Description

The `gtk.VScrollbar` widget is subclassed from `gtk.Scrollbar` to provide a horizontal scrollbar. See the `gtk.Scrollbar` reference for details on the methods available for managing vertical scrollbars. A `gtk.Adjustment` may be specified for the scrollbar at creation (or is created automatically if `None` is specified) to handle the adjustment of the scrollbar. See the `gtk.Adjustment` method for more details.

## Constructor

        gtk.VScrollbar(adjustment=None)

`adjustment` : | a `gtk.Adjustment` object or `None`
Returns : | a new `gtk.VScrollbar` widget

Creates a new `gtk.VScrollbar` with an associated `gtk.Adjustment` specified by `adjustment`. If `adjustment` is `None` or missing a new `gtk.Adjustment` object will be created and associated with the scrollbar.

Prev | Up | Next
gtk.VScale | Home | gtk.VSeparator